org.apache.cxf.helpers

## Class MapNamespaceContext

- java.lang.Object
- - org.apache.cxf.helpers.MapNamespaceContext

- All Implemented Interfaces:
    NamespaceContext

      public final class MapNamespaceContext
      extends Object
      implements NamespaceContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapNamespaceContext()`
    `MapNamespaceContext(Map<String,String> ns)`
    `MapNamespaceContext(Node node)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNamespace(String prefix, String namespaceURI)`
    `void` | `addNamespaces(Map<String,String> ns)`
    `String` | `getNamespaceURI(String prefix)`
    `String` | `getPrefix(String namespaceURI)`
    `Iterator<String>` | `getPrefixes(String namespaceURI)`
    `Map<String,String>` | `getUsedNamespaces()`
    `void` | `setTargetNode(Node node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapNamespaceContext

          public MapNamespaceContext()

    - #### MapNamespaceContext

          public MapNamespaceContext(Map<String,String> ns)

    - #### MapNamespaceContext

          public MapNamespaceContext(Node node)

  - ### Method Detail

    - #### setTargetNode

          public void setTargetNode(Node node)

    - #### addNamespace

          public void addNamespace(String prefix,
                                   String namespaceURI)

    - #### addNamespaces

          public void addNamespaces(Map<String,String> ns)

    - #### getNamespaceURI

          public String getNamespaceURI(String prefix)

      Specified by:
        `getNamespaceURI` in interface `NamespaceContext`

    - #### getPrefix

          public String getPrefix(String namespaceURI)

      Specified by:
        `getPrefix` in interface `NamespaceContext`

    - #### getPrefixes

          public Iterator<String> getPrefixes(String namespaceURI)

      Specified by:
        `getPrefixes` in interface `NamespaceContext`

    - #### getUsedNamespaces

          public Map<String,String> getUsedNamespaces()

Apache CXF